<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:23 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Tiler (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Tiler (org.eclipse.papyrus.marte.static.profile 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Tiler.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Shaped.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html" target="_top">Frames</a></li>
<li><a href="Tiler.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM</div>
<h2 title="Interface Tiler" class="title">Interface Tiler</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EObject, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/LinkTopology.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM">LinkTopology</a>, org.eclipse.emf.common.notify.Notifier</dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl">TilerImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">Tiler</span>
extends <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/LinkTopology.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM">LinkTopology</a></pre>
<div class="block"><!-- begin-user-doc -->
 A representation of the model object '<em><b>Tiler</b></em>'.
 <!-- end-user-doc -->

 <p>
 The following features are supported:
 </p>
 <ul>
 <li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getOrigin--"><code><em>Origin</em></code></a></li>
 <li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getPaving--"><code><em>Paving</em></code></a></li>
 <li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getFitting--"><code><em>Fitting</em></code></a></li>
 <li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getTiler--"><code><em>Tiler</em></code></a></li>
 <li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getBase_ConnectorEnd--"><code><em>Base Connector End</em></code></a></li>
 </ul></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getTiler--"><code>RSMPackage.getTiler()</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.ConnectorEnd</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getBase_ConnectorEnd--">getBase_ConnectorEnd</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Base Connector End</b></em>' reference.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getFitting--">getFitting</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Fitting</b></em>' attribute.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getOrigin--">getOrigin</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Origin</b></em>' attribute.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getPaving--">getPaving</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Paving</b></em>' attribute.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getTiler--">getTiler</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Tiler</b></em>' attribute.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#setBase_ConnectorEnd-org.eclipse.uml2.uml.ConnectorEnd-">setBase_ConnectorEnd</a></span>(org.eclipse.uml2.uml.ConnectorEnd&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getBase_ConnectorEnd--"><code><em>Base Connector End</em></code></a>' reference.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#setFitting-java.lang.String-">setFitting</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getFitting--"><code><em>Fitting</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#setOrigin-java.lang.String-">setOrigin</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getOrigin--"><code><em>Origin</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#setPaving-java.lang.String-">setPaving</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getPaving--"><code><em>Paving</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#setTiler-java.lang.String-">setTiler</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getTiler--"><code><em>Tiler</em></code></a>' attribute.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.LinkTopology">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/LinkTopology.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM">LinkTopology</a></h3>
<code><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/LinkTopology.html#getBase_Connector--">getBase_Connector</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/LinkTopology.html#setBase_Connector-org.eclipse.uml2.uml.Connector-">setBase_Connector</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getOrigin--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOrigin</h4>
<pre><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getOrigin()</pre>
<div class="block">Returns the value of the '<em><b>Origin</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Origin</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Origin</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#setOrigin-java.lang.String-"><code>setOrigin(String)</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getTiler_Origin--"><code>RSMPackage.getTiler_Origin()</code></a></dd>
</dl>
</li>
</ul>
<a name="setOrigin-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOrigin</h4>
<pre>void&nbsp;setOrigin(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getOrigin--"><code><em>Origin</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Origin</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getOrigin--"><code>getOrigin()</code></a></dd>
</dl>
</li>
</ul>
<a name="getPaving--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPaving</h4>
<pre><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getPaving()</pre>
<div class="block">Returns the value of the '<em><b>Paving</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Paving</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Paving</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#setPaving-java.lang.String-"><code>setPaving(String)</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getTiler_Paving--"><code>RSMPackage.getTiler_Paving()</code></a></dd>
</dl>
</li>
</ul>
<a name="setPaving-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPaving</h4>
<pre>void&nbsp;setPaving(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getPaving--"><code><em>Paving</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Paving</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getPaving--"><code>getPaving()</code></a></dd>
</dl>
</li>
</ul>
<a name="getFitting--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFitting</h4>
<pre><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getFitting()</pre>
<div class="block">Returns the value of the '<em><b>Fitting</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Fitting</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Fitting</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#setFitting-java.lang.String-"><code>setFitting(String)</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getTiler_Fitting--"><code>RSMPackage.getTiler_Fitting()</code></a></dd>
</dl>
</li>
</ul>
<a name="setFitting-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFitting</h4>
<pre>void&nbsp;setFitting(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getFitting--"><code><em>Fitting</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Fitting</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getFitting--"><code>getFitting()</code></a></dd>
</dl>
</li>
</ul>
<a name="getTiler--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTiler</h4>
<pre><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getTiler()</pre>
<div class="block">Returns the value of the '<em><b>Tiler</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Tiler</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Tiler</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#setTiler-java.lang.String-"><code>setTiler(String)</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getTiler_Tiler--"><code>RSMPackage.getTiler_Tiler()</code></a></dd>
</dl>
</li>
</ul>
<a name="setTiler-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTiler</h4>
<pre>void&nbsp;setTiler(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getTiler--"><code><em>Tiler</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Tiler</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getTiler--"><code>getTiler()</code></a></dd>
</dl>
</li>
</ul>
<a name="getBase_ConnectorEnd--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBase_ConnectorEnd</h4>
<pre>org.eclipse.uml2.uml.ConnectorEnd&nbsp;getBase_ConnectorEnd()</pre>
<div class="block">Returns the value of the '<em><b>Base Connector End</b></em>' reference.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Base Connector End</em>' reference isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Base Connector End</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#setBase_ConnectorEnd-org.eclipse.uml2.uml.ConnectorEnd-"><code>setBase_ConnectorEnd(ConnectorEnd)</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getTiler_Base_ConnectorEnd--"><code>RSMPackage.getTiler_Base_ConnectorEnd()</code></a></dd>
</dl>
</li>
</ul>
<a name="setBase_ConnectorEnd-org.eclipse.uml2.uml.ConnectorEnd-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setBase_ConnectorEnd</h4>
<pre>void&nbsp;setBase_ConnectorEnd(org.eclipse.uml2.uml.ConnectorEnd&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getBase_ConnectorEnd--"><code><em>Base Connector End</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Base Connector End</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getBase_ConnectorEnd--"><code>getBase_ConnectorEnd()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Tiler.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Shaped.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html" target="_top">Frames</a></li>
<li><a href="Tiler.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
